Holger's Java API

## com.antelmann.db
Class DBSet<T extends DBEntry>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<T>
              com.antelmann.db.DBSet<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, Set<T>

    public class DBSet<T extends DBEntry>

extends AbstractSet<T>

Since:
  23.06.2014, 20:42:55
Author:
  holger

Constructor Summary
`DBSet(DBClassStore<T> store)`

Method Summary
`Iterator<T>` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### DBSet

    public DBSet(DBClassStore<T> store)

Method Detail

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T extends DBEntry>`
  Specified by:
    `iterator` in interface `Collection<T extends DBEntry>`
  Specified by:
    `iterator` in interface `Set<T extends DBEntry>`
  Specified by:
    `iterator` in class `AbstractCollection<T extends DBEntry>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<T extends DBEntry>`
  Specified by:
    `size` in interface `Set<T extends DBEntry>`
  Specified by:
    `size` in class `AbstractCollection<T extends DBEntry>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads